function onBegin()
  if not getFlag("rise3") then
	  disablePause()
	  disableMovement()
	  local level = getLevel()
	  coroutine.yield(level:ZoomTo(vector2(150, 60), 1.5, 0.5))
	  say("PRICKLES_SEPTICSOULS_BEZDA3")
	  coroutine.yield(level:ZoomAcross(vector2(160, 90), 1, 0.5))
	  setFlag("rise3", true)
	  wait(1)
	  say("PRICKLES_SEPTICSOULS_BEZDA3B")
	  enableMovement()
	  enablePause()
  end
end